API reference · Organization

Organization

Company-level settings.

Base URL https://app.upfour.io/v1 · auth via Authorization: Bearer <key> · “Try it” runs from your browser — the key is kept in this tab only. Use a pls_test_ sandbox key to experiment freely.

GET /organization

scope organization.write stable returns 200

ParameterInTypeNotes
limit query integer default 50
cursor query string
client_id query uuid
all_clients query boolean
q query string
sort query string
curl -s https://app.upfour.io/v1/organization \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

POST /organization

scope organization.write stable returns 201

curl -s -X POST https://app.upfour.io/v1/organization \
  -H "Authorization: Bearer $UP4_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

PUT /organization

scope organization.write stable returns 200

curl -s -X PUT https://app.upfour.io/v1/organization \
  -H "Authorization: Bearer $UP4_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

DELETE /organization

scope organization.write stable returns 204

curl -s -X DELETE https://app.upfour.io/v1/organization \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

PUT /organization/ai-quota

scope organization.write stable returns 200

curl -s -X PUT https://app.upfour.io/v1/organization/ai-quota \
  -H "Authorization: Bearer $UP4_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

GET /organization/ai-usage

scope organization.read stable returns 200

curl -s https://app.upfour.io/v1/organization/ai-usage \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

GET /organization/audit-logs

scope audit_log.read stable returns 200

curl -s https://app.upfour.io/v1/organization/audit-logs \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

GET /organization/members

scope member.read stable returns 200

curl -s https://app.upfour.io/v1/organization/members \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

GET /organization/members/email/{email}

scope member.write stable returns 200

ParameterInTypeNotes
emailrequired path uuid
curl -s https://app.upfour.io/v1/organization/members/email/<email> \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

DELETE /organization/members/email/{email}

scope member.write stable returns 204

ParameterInTypeNotes
emailrequired path uuid
curl -s -X DELETE https://app.upfour.io/v1/organization/members/email/<email> \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

DELETE /organization/members/{memberID}

scope member.write stable returns 204

ParameterInTypeNotes
memberIDrequired path uuid
curl -s -X DELETE https://app.upfour.io/v1/organization/members/<memberID> \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

PUT /organization/members/{memberID}/role

scope member.write stable returns 200

ParameterInTypeNotes
memberIDrequired path uuid
curl -s -X PUT https://app.upfour.io/v1/organization/members/<memberID>/role \
  -H "Authorization: Bearer $UP4_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

GET /organization/security

scope organization.write stable returns 200

curl -s https://app.upfour.io/v1/organization/security \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

PUT /organization/security

scope organization.write stable returns 200

curl -s -X PUT https://app.upfour.io/v1/organization/security \
  -H "Authorization: Bearer $UP4_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

GET /organization/sso

scope organization.read stable returns 200

curl -s https://app.upfour.io/v1/organization/sso \
  -H "Authorization: Bearer $UP4_API_KEY"
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.

PUT /organization/sso/{provider}

scope organization.write stable returns 200

ParameterInTypeNotes
providerrequired path uuid
curl -s -X PUT https://app.upfour.io/v1/organization/sso/<provider> \
  -H "Authorization: Bearer $UP4_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Try it

Sent directly from your browser to https://app.upfour.io/v1. Mutating calls get an automatic Idempotency-Key.